Bug 1273693 - Review Request: scudcloud - Non official Slack client
Review Request: scudcloud - Non official Slack client
Status: CLOSED DUPLICATE of bug 1346015
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 23:53 EDT by Andrew Stiegmann
Modified: 2016-07-29 05:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-15 00:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Stiegmann 2015-10-20 23:53:12 EDT
Fedora Account System Username: stieg

Spec URL: http://triplehelix.org/~stieg/specs/scudcloud.spec
SRPM URL: http://triplehelix.org/~stieg/srpms/scudcloud-1.0.84-1.fc23.src.rpm
Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11527165

Description: scudcloud uses the QT library with Webkit to render the web version of Slack, and enhances it by integrating the QWebkit-Native bridge to improve desktop integration.

This is my first package submission, and according to https://fedoraproject.org/wiki/Join_the_package_collection_maintainers I will need a sponsor.

Also I'm not entirely sure about best practices for the icon installation that I did.  This spec file was originally adapted from a OpenSuSE repo, and they did that there.  I would imagine its not quite correct, but wasn't able to find any literature on the topic.  Pointers welcome.
Comment 1 Upstream Release Monitoring 2015-10-21 00:13:44 EDT
stieg's scratch build of scudcloud-1.0.84-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11527721
Comment 2 James Hogarth 2015-12-05 16:24:24 EST
This would be useful for my work so I'm happy to do the review.

Note I'm not a sponsor but following FESCO ticket 1499[1] I can carry out the review and once approved you can file a ticket at the sponsorship trac instance[2] indicating you need a sponsor for a package that has completed review.

My initial pre-fedora-review comments:

 * Remove all that commented blurb at the top of the spec
 * Group is not required and shouldn't be used in current fedora specs
 * Use %autosetup macro rather than separate %setup then %patch macros
 * You are referencing %srcname which is not defined


I'll add the more complete formal review within the next few days to add to the initial comments.


[1] https://fedorahosted.org/fesco/ticket/1499
[2] https://fedorahosted.org/packager-sponsors/
Comment 3 Andrew Stiegmann 2015-12-06 16:33:24 EST
> This would be useful for my work so I'm happy to do the review.

Hooray... finally a reviewer!  Thanks for the time.

> Note I'm not a sponsor but following FESCO ticket 1499[1] I can carry out the review and once approved you can file a ticket at the sponsorship trac instance[2] indicating you need a sponsor for a package that has completed review.

Not ideal but its something.  I'll take it.

> My initial pre-fedora-review comments:
>
> * Remove all that commented blurb at the top of the spec
> * Group is not required and shouldn't be used in current fedora specs
> * Use %autosetup macro rather than separate %setup then %patch macros
> * You are referencing %srcname which is not defined
>
> I'll add the more complete formal review within the next few days to add to the initial comments.

Got it.  I'll apply this feedback as well as upgrade to the latest package and submit another build to koji.  I'll post back here when its ready.
Comment 4 James Hogarth 2016-01-04 08:35:14 EST
I'm unassigning this for now then until you get the latest build ready for review.

If there's no sponsor still then I can pick it back up for review.

By unassigning this will appear on the "needs tobe sponsored" dashboard again.

You may want to post on the fedora-devel mailing list introducing yourself and the package when you're ready so that you are more visible to the various sponsors too.
Comment 5 Andrew Stiegmann 2016-01-04 12:32:54 EST
Good idea James.  I have a pull out at https://github.com/raelgc/scudcloud/pull/329.  Once that makes it in then I can re-do the rpm spec so it compliant.
Comment 6 Andrew Stiegmann 2016-01-29 18:41:36 EST
Re-opening this ticket as the scudcloud project merged my changes and I have adapted the spec file to work with it as well as applied the feedback from above.  Here is the new spec and SRPM.  

Spec: http://katsu.triplehelix.org/~stieg/specs/python3-scudcloud.spec
SRPM: http://katsu.triplehelix.org/~stieg/srpms/python3-scudcloud-1.5.0-1.fc23.src.rpm

Koji Build in progress: http://koji.fedoraproject.org/koji/taskinfo?taskID=12733212
Comment 7 James Hogarth 2016-06-14 10:17:21 EDT
*** Bug 1346015 has been marked as a duplicate of this bug. ***
Comment 8 Igor Gnatenko 2016-06-14 10:22:51 EDT
Andrew, don't you mind if I will close this as duplicate of 1346015? It has proper requirements, modernized spec, proper name and some other stuff.
Comment 9 Andrew Stiegmann 2016-06-14 11:33:30 EDT
@Igor,

   Go ahead.  I got no traction from the Fedora community on this so perhaps someone who works for RedHat can finally get this into the main repos.
Comment 10 Igor Gnatenko 2016-06-15 00:57:25 EDT

*** This bug has been marked as a duplicate of bug 1346015 ***

Note You need to log in before you can comment on or make changes to this bug.